echo off
echo ""
echo "Update BIOS to R03.01.2032"
.\WinPEUtils_x64\IFlash32\DeviceSetup install .\WinPEUtils_x64\IFlash32\flashud.inf *int0800
.\WinPEUtils_x64\IFLASH32\Devicesetup.exe remove *IPI0001
.\WinPEUtils_x64\IFlash32\DeviceSetup install .\WinPEUtils_x64\IFlash32\IBSMUx64.inf *IntelUtilDeV
.\WinPEUtils_x64\IFLASH32\DeviceSetup install .\WinPEUtils_x64\IFlash32\IMBDrv.inf *IMBDRV
.\WinPEUtils_x64\IFlash32\IFlash32 -u R03.01.2032.cap UpdateBackupBios -ni

echo ""
echo "S1200SP Flashing R03.01.2032_ME..."
.\WinPEUtils_x64\IFlash32\IFlash32 /u /ni R03.01.2032_ME.cap
echo ""
echo "R03.01.2032_ME update completed..."

echo "Update Flash Descriptor to R03.01.2032_FD"
.\WinPEUtils_x64\IFlash32\IFlash32 /u /ni R03.01.2032_FD.cap

echo "Updates completed. Please reboot using the front panel button."

echo on
